
from employeeapp.models import Employee
from employeeapp.api.serializers import EmployeeModelSerializer
from rest_framework.viewsets import ModelViewSet

from rest_framework.authentication import BasicAuthentication, SessionAuthentication, TokenAuthentication
from rest_framework.permissions import IsAuthenticated, IsAdminUser,IsAuthenticatedOrReadOnly

class EmployeeModelViewSet(ModelViewSet):
    queryset = Employee.objects.all()
    serializer_class = EmployeeModelSerializer

    authentication_classes = (TokenAuthentication,)
    permission_classes = (IsAuthenticated,)


