
import requests
import json

header = {
    'Content-Type': 'application/json',
    'Authorization': 'Token 04e84a38b3e4aff2c54203a057712602b7fe6af7'
}

response = requests.get("http://127.0.0.1:3322/api/employees/", headers=header)

if response.status_code == 200:
    try:
        python_response = response.json()
    except:
        print("Status Code is :",response.status_code)
        print("Accessed response is not available in JSON Format")
    else:
        print("Status Code is :", response.status_code)
        print(python_response)
elif response.status_code == 404:
    print("Status Code is :", response.status_code)
    print("Requested resources not available")

else:
    print("Status Code is :", response.status_code)
    print("Something went wrong")


