
from django.urls import path,include

from employeeapp.api import views

from rest_framework.routers import DefaultRouter
router = DefaultRouter()
router.register('employees', views.EmployeeModelViewSet)


from rest_framework.authtoken.views import obtain_auth_token


urlpatterns = [
    path("api/", include(router.urls)),

    path('api/gettoken/', obtain_auth_token, name='get_token'),

]

