
from django.db import models

class Employee(models.Model):
    ename = models.CharField(max_length=30)
    salary = models.IntegerField()
    city = models.CharField(max_length=30)
    email = models.EmailField(unique=True, null=True, blank=True)

    def __str__(self):
        return self.ename

    class Meta:
        db_table = 'employee'
